"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationPaused = async (pool, paused) => {
  if (paused) {
    await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}/api/pause-replication`, {
      method: 'POST'
    });
  } else {
    await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}/api/resume-replication`, {
      method: 'POST'
    });
  }
};

var _default = setReplicationPaused;
exports.default = _default;
//# sourceMappingURL=set-replication-paused.js.map